Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.ls
Interface DOMWriterFilter

All Superinterfaces:
  NodeFilter

public interface DOMWriterFilter
extends NodeFilter

DOM Level 3 WD Experimental: The DOM Level 3 specification is at the stage of Working Draft, which represents work in progress and thus may be updated, replaced, or obsoleted by other documents at any time.

`DOMWriterFilter`s provide applications the ability to examine nodes as they are being serialized. `DOMWriterFilter` lets the application decide what nodes should be serialized or not.

The `Document`, `DocumentType`, `Notation`, and `Entity` nodes are not passed to the filter.

See also the Document Object Model (DOM) Level 3 Load and Save Specification.

Fields inherited from interface org.w3c.dom.traversal.NodeFilter
`FILTER_ACCEPT, FILTER_REJECT, FILTER_SKIP, SHOW_ALL, SHOW_ATTRIBUTE, SHOW_CDATA_SECTION, SHOW_COMMENT, SHOW_DOCUMENT, SHOW_DOCUMENT_FRAGMENT, SHOW_DOCUMENT_TYPE, SHOW_ELEMENT, SHOW_ENTITY, SHOW_ENTITY_REFERENCE, SHOW_NOTATION, SHOW_PROCESSING_INSTRUCTION, SHOW_TEXT`

Method Summary
`int` | `getWhatToShow()` Tells the `DOMWriter` what types of nodes to show to the filter.

Methods inherited from interface org.w3c.dom.traversal.NodeFilter
`acceptNode`

Method Detail

### getWhatToShow

    public int getWhatToShow()

  Tells the `DOMWriter` what types of nodes to show to the filter. See `NodeFilter` for definition of the constants. The constants `SHOW_ATTRIBUTE`, `SHOW_DOCUMENT` , `SHOW_DOCUMENT_TYPE`, `SHOW_NOTATION`, and `SHOW_DOCUMENT_FRAGMENT` are meaningless here, those nodes will never be passed to a `DOMWriterFilter`. `Entity` nodes are not passed to the filter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.